Bug 1087956 (ghc-wl-pprint) - Review Request: ghc-wl-pprint - The Wadler/Leijen Pretty Printer
Summary: Review Request: ghc-wl-pprint - The Wadler/Leijen Pretty Printer
Keywords:
Status: CLOSED ERRATA
Alias: ghc-wl-pprint
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1037993
TreeView+ depends on / blocked
 
Reported: 2014-04-15 17:38 UTC by Rick Elrod
Modified: 2014-06-12 06:24 UTC (History)
2 users (show)

Fixed In Version: ghc-wl-pprint-1.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 16:28:16 UTC
petersen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rick Elrod 2014-04-15 17:38:05 UTC
Spec URL: http://codeblock.fedorapeople.org//ghc-wl-pprint.spec
SRPM URL: http://codeblock.fedorapeople.org//ghc-wl-pprint-1.1-1.fc20.src.rpm

Description:
This is a pretty printing library based on Wadler's paper "A Prettier Printer".
See the haddocks for full info. This version allows the library user to declare
overlapping instances of the 'Pretty' class.

Comment 1 Rick Elrod 2014-04-15 17:38:09 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6741749

Comment 3 Jens Petersen 2014-05-22 02:40:17 UTC
Note the spec file link and srpm spec file are slightly diffently!

Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/1087956-ghc-wl-
     pprint/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 378880 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)

Please fix when importing.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.

Rpmlint
-------
Checking: ghc-wl-pprint-1.1-1.fc21.x86_64.rpm
          ghc-wl-pprint-devel-1.1-1.fc21.x86_64.rpm
          ghc-wl-pprint-1.1-1.fc21.src.rpm
ghc-wl-pprint.x86_64: W: incoherent-version-in-changelog 1.1 ['1.1-1.fc21', '1.1-1']
ghc-wl-pprint.src: W: strange-permission wl-pprint-1.1.tar.gz 0600L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-wl-pprint ghc-wl-pprint-devel
ghc-wl-pprint.x86_64: W: incoherent-version-in-changelog 1.1 ['1.1-1.fc21', '1.1-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Diff spec file in url and in SRPM
---------------------------------
--- /home/petersen/pkgreview/1087956-ghc-wl-pprint/srpm/ghc-wl-pprint.spec	2014-05-19 13:37:02.184763390 +0900
+++ /home/petersen/pkgreview/1087956-ghc-wl-pprint/srpm-unpacked/ghc-wl-pprint.spec	2014-04-16 02:28:10.000000000 +0900
@@ -1,2 +1,4 @@
+# https://fedoraproject.org/wiki/Packaging:Haskell
+
 %global pkg_name wl-pprint
 
@@ -59,4 +61,4 @@
 
 %changelog
-* Tue Apr 15 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1-1
+* Tue Apr 15 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.1
 - spec file generated by cabal-rpm-0.8.10

Requires
--------
ghc-wl-pprint (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-wl-pprint-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(wl-pprint-1.1-29d7b79b3e4b84ca3bca1ab779ffa5ac)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-wl-pprint(x86-64)

Provides
--------
ghc-wl-pprint:
    ghc(wl-pprint-1.1-29d7b79b3e4b84ca3bca1ab779ffa5ac)
    ghc-wl-pprint
    ghc-wl-pprint(x86-64)
    libHSwl-pprint-1.1-ghc7.6.3.so()(64bit)

ghc-wl-pprint-devel:
    ghc-devel(wl-pprint-1.1-29d7b79b3e4b84ca3bca1ab779ffa5ac)
    ghc-wl-pprint-devel
    ghc-wl-pprint-devel(x86-64)
    ghc-wl-pprint-static

Unversioned so-files
--------------------
ghc-wl-pprint: /usr/lib64/ghc-7.6.3/wl-pprint-1.1/libHSwl-pprint-1.1-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/wl-pprint-1.1/wl-pprint-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0634abe0eabbdcb5fc307d54b0d763659d0d2aaa193767e67f337500a71b779a
  CHECKSUM(SHA256) upstream package : 0634abe0eabbdcb5fc307d54b0d763659d0d2aaa193767e67f337500a71b779a


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087956
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Package is APPROVED

Please sync the spec file when importing.

Comment 4 Rick Elrod 2014-05-22 02:43:22 UTC
New Package SCM Request
=======================
Package Name: ghc-wl-pprint
Short Description: The Wadler/Leijen Pretty Printer
Upstream URL: http://hackage.haskell.org/package/wl-pprint
Owners: codeblock petersen
Branches: f19 f20 epel7

Comment 5 Kevin Fenzi 2014-05-22 03:25:50 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-06-02 09:17:12 UTC
ghc-wl-pprint-1.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-wl-pprint-1.1-1.fc20

Comment 7 Fedora Update System 2014-06-02 09:17:22 UTC
ghc-wl-pprint-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-wl-pprint-1.1-1.fc19

Comment 8 Fedora Update System 2014-06-02 22:56:38 UTC
ghc-wl-pprint-1.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-06-11 16:28:16 UTC
ghc-wl-pprint-1.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-06-12 06:24:03 UTC
ghc-wl-pprint-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.